<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

//Testing 
$my_options_select = array("one","two","three","four","five"); 
$my_options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = STYLES;
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

/*-----------------------------------------------------------------------------------*/
/* TO DO: Add options/functions that use these */
/*-----------------------------------------------------------------------------------*/

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Image Alignment radio box
$my_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$my_options_image_link_to = array("image" => "The Image","post" => "The Post"); 
$my_options_repeat = array("no-repeat" => "No repeat","repeat" => "Repeat","repeat-x" => "Repeat X","repeat-y" => "Repeat Y");


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $my_options;
$my_options = array();

$my_options[] = array( "name" => "General Settings",
                    "type" => "heading");
					
$my_options[] = array( "name" => "Custom Logo",
					"desc" => "Upload a logo for your theme.",
					"id" => "logo",
					"std" => "",
					"type" => "upload");
					

$my_options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => "custom_favicon",
					"std" => "",
					"type" => "upload"); 

$url =  ADMIN . 'images/';					
$my_options[] = array( "name" => "Main Layout",
					"desc" => "Select main content and sidebar alignment. Choose between 2 column layout.",
					"id" => "layout",
					"std" => "left.css",
					"type" => "images",
					"options" => array(
						'right.css' => $url . '2cr.png',
						'left.css' => $url . '2cl.png')
					);
					
$my_options[] = array( "name" => "Show Comments Post",
					"desc" => "Please check this to show comments and comment form, effects on all posts.",
					"id" => "theme-checkcommentpost",
					"std" => true,
					"type" => "checkbox");
					
$my_options[] = array( "name" => "Show Comments Page",
					"desc" => "Please check this to show comments and comment form, effects on all pages.",
					"id" => "theme-checkcommentpage",
					"std" => false,
					"type" => "checkbox");
					
$my_options[] = array( "name" => "Show Title on Page",
					"desc" => "Please check this to show comments and comment form, effects on all pages.",
					"id" => "theme-checktitlepage",
					"std" => true,
					"type" => "checkbox");
					                                               
$my_options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => "google_analytics",
					"std" => "",
					"type" => "textarea");        


$my_options[] = array( "name" => "Footer Text",
                    "desc" => "Enter text for footer",
                    "id" => "footer_text",
                    "std" => "&copy; 2012 WP Theme Alamuna All rights reserved.",
                    "type" => "textarea");                                                          
    
$my_options[] = array( "name" => "Styling Options",
					"type" => "heading");

$my_options[] = array( "name" => "Body Font",
					"desc" => "Specify the body font properties",
					"id" => "body_font",
					"std" => array('size' => '11px','face' => 'arial','style' => 'normal','color' => '#5b5b5b'),
					"type" => "typography");  
																						
$my_options[] = array( "name" => "Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-background",
					"std" => "#cec695",
					"type" => "color"); 

$my_options[] = array( "name" => "Background Image",
					"desc" => "Upload a image for background",
					"id" => "theme-bg",
					"std" => get_bloginfo('stylesheet_directory')."/images/bg.jpg",
					"type" => "upload");   

$my_options[] = array( "name" => "Backround Image style",
					"desc" => "Style for image background (work if image upload!)",
					"id" => "theme-bgrepeat",
					"std" => "no-repeat",
					"type" => "select2",
					"options" => $my_options_repeat);


$my_options[] = array( "name" => "Sidebar Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-sidebar-background",
					"std" => "#191919",
					"type" => "color");
											
$my_options[] = array( "name" => "Footer Widget (top) Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-topfooter-background",
					"std" => "#191919",
					"type" => "color");
										
$my_options[] = array( "name" => "Footer (bottom) Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-footer-background",
					"std" => "#000000",
					"type" => "color"); 
										
$my_options[] = array( "name" => "Link Color",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-linkcolor",
					"std" => "#3b70d9",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Hover Color",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-linkhovercolor",
					"std" => "#000",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the link.",
					"id" => "theme-hlinkcolor",
					"std" => "#0e0c10",
					"type" => "color"); 
					
$my_options[] = array( "name" => "Link Hover Color for Title (h1,h2,h3,h4,h5)",
					"desc" => "Choose your preferred color for the hover link.",
					"id" => "theme-hlinkhovercolor",
					"std" => "#000",
					"type" => "color"); 
										
$my_options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => "custom_css",
                    "std" => "",
                    "type" => "textarea");


$my_options[] = array( "name" => "Homepage Option",
					"type" => "heading");

$my_options[] = array( "name" => "Theme Title",
                    "desc" => "Enter text for text title",
                    "id" => "alamuna-title-theme",
                    "std" => "Alamuana! Wordpress theme",
                    "type" => "text");

$my_options[] = array( "name" => "Theme Description",
                    "desc" => "Enter text for theme description.",
                    "id" => "alamuna-desc-theme",
                    "std" => "Sed a lorem arcu. Donec vel libero nisi. Phasellus pharetra elit a quam porttitor in bibendum arcu posuere.",
                    "type" => "textarea");
                    
$my_options[] = array( "name" => "Use 6 Boxes",
					"desc" => "Checked if use 6 boxes.",
					"id" => "alamuna-check-8box",
					"std" => true,
					"type" => "checkbox"); 

$my_options[] = array( "name" => "Use Testimonials",
					"desc" => "Checked if use testimonials.",
					"id" => "alamuna-check-check-testimonials",
					"std" => true,
					"type" => "checkbox"); 

$my_options[] = array( "name" => "Text Testimonials",
					"desc" => "Enter text for testimonials.",
					"id" => "mysterio-text-testimonials",
					"std" => "Testimonials",
					"type" => "text");
														
$my_options[] = array( "name" => "Use Featured Articles",
					"desc" => "Checked if use featured articles.",
					"id" => "mysterio-check-featured-articles",
					"std" => true,
					"type" => "checkbox"); 

$my_options[] = array( "name" => "Text Featured Articles",
					"desc" => "Enter text for featured articles.",
					"id" => "mysterio-text-featured-articles",
					"std" => "Featured Articles",
					"type" => "text");

$my_options[] = array( "name" => "Link Featured Articles",
					"desc" => "Enter link for featured articles.",
					"id" => "mysterio-link-featured-articles",
					"std" => "",
					"type" => "text");
															
$my_options[] = array( "name" => "Featured Articles  Category",
					"desc" => "A list of all the categories being used on the featured articles.",
					"id" => "alamuna-featured-articles",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
										
										
$my_options[] = array( "name" => "Homepage 6 Boxes",
					"type" => "heading");
					

$my_options[] = array( "name" => "Select 6 Boxes I Category",
					"desc" => "A list of all the categories being used on the 6 Boxes I.",
					"id" => "alamuna-8box1",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);


$my_options[] = array( "name" => "Select 6 Boxes II Category",
					"desc" => "A list of all the categories being used on the 6 Boxes II.",
					"id" => "alamuna-8box2",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
					


$my_options[] = array( "name" => "Select 6 Boxes III Category",
					"desc" => "A list of all the categories being used on the 6 Boxes III.",
					"id" => "alamuna-8box3",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
					

$my_options[] = array( "name" => "Select 6 Boxes IV Category",
					"desc" => "A list of all the categories being used on the 6 Boxes IV.",
					"id" => "alamuna-8box4",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);

$my_options[] = array( "name" => "Select 6 Boxes V Category",
					"desc" => "A list of all the categories being used on the 6 Boxes V.",
					"id" => "alamuna-8box5",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);
					
$my_options[] = array( "name" => "Select 6 Boxes VI Category",
					"desc" => "A list of all the categories being used on the 6 Boxes VI.",
					"id" => "alamuna-8box6",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);									
							

$my_options[] = array( "name" => "Social Network",
					"type" => "heading"); 
					
$my_options[] = array( "name" => "Twitter URL",
					"desc" => "Enter link URL.",
					"id" => "theme-twitter",
					"std" => "",
					"type" => "text"); 
																									
$my_options[] = array( "name" => "Facebook URL",
					"desc" => "Enter link URL.",
					"id" => "theme-facebook",
					"std" => "",
					"type" => "text"); 


$my_options[] = array( "name" => "RSS URL",
					"desc" => "Enter link URL.",
					"id" => "theme-rss",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Vimeo URL",
					"desc" => "Enter link URL.",
					"id" => "theme-vimeo",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Flickr URL",
					"desc" => "Enter link URL.",
					"id" => "theme-flickr",
					"std" => "",
					"type" => "text"); 
																									
$my_options[] = array( "name" => "Dribbble URL",
					"desc" => "Enter link URL.",
					"id" => "theme-dribbble",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "Evernote URL",
					"desc" => "Enter link URL.",
					"id" => "theme-evernote",
					"std" => "",
					"type" => "text"); 
					
$my_options[] = array( "name" => "MySpace URL",
					"desc" => "Enter link URL.",
					"id" => "theme-myspace",
					"std" => "",
					"type" => "text");
					
$my_options[] = array( "name" => "Dribbble URL",
					"desc" => "Enter link URL.",
					"id" => "theme-dribbble",
					"std" => "",
					"type" => "text");
					
$my_options[] = array( "name" => "Pinteres URL",
					"desc" => "Enter link URL.",
					"id" => "theme-pinteres",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Linkedin URL",
					"desc" => "Enter link URL.",
					"id" => "theme-linkedin",
					"std" => "",
					"type" => "text");
										
$my_options[] = array( "name" => "Google Plus URL",
					"desc" => "Enter link URL.",
					"id" => "theme-google",
					"std" => "",
					"type" => "text");	
																														
$my_options[] = array( "name" => "Digg URL",
					"desc" => "Enter link URL.",
					"id" => "theme-digg",
					"std" => "",
					"type" => "text");	
					
$my_options[] = array( "name" => "Reddit URL",
					"desc" => "Enter link URL.",
					"id" => "theme-reddit",
					"std" => "",
					"type" => "text");	

$my_options[] = array( "name" => "Youtube URL",
					"desc" => "Enter link URL.",
					"id" => "theme-youtube",
					"std" => "",
					"type" => "text");

				
					
$my_options[] = array( "name" => "Mobile Option",
					"type" => "heading");
					
$my_options[] = array( "name" => "Disable Mobile Version",
					"desc" => "If you want to Disable Mobile Version, check this box.",
					"id" => "theme-checkmobile",
					"std" => false,
					"type" => "checkbox");

$my_options[] = array( "name" => "Custom Logo for Mobile",
					"desc" => "Upload a logo no more than 233px x 41px",
					"id" => "mlogo",
					"std" => "",
					"type" => "upload");
										
$my_options[] = array( "name" => "Background Color",
					"desc" => "Specify background color.",
					"id" => "theme-mobilebackground",
					"std" => "#aaaaaa",
					"type" => "color"); 

$my_options[] = array( "name" => "Background Menu Color",
					"desc" => "Specify background color.",
					"id" => "theme-mobilemenubackground",
					"std" => "#000000",
					"type" => "color"); 
										
$my_options[] = array( "name" => "Include Click To Call Phone Number?",
					"desc" => "Click here to click to call phone number.",
					"id" => "theme-checkphonenumber",
					"std" => false,
					"type" => "checkbox");

$my_options[] = array( "name" => "Text Before Click To Call Link",
					"desc" => "Enter text in here.",
					"id" => "theme-textphonenumber",
					"std" => "Click To Call:",
					"type" => "text");
										
$my_options[] = array( "name" => "Enter Phone Number Here",
					"desc" => "Enter phone number here.",
					"id" => "theme-phonenumber",
					"std" => "",
					"type" => "text");	
					
$my_options[] = array( "name" => "Include Mobile Map Widget On Homepage?",
					"desc" => "Click here to mobile map on homepage.",
					"id" => "theme-maphomepage",
					"std" => false,
					"type" => "checkbox");
					
$my_options[] = array( "name" => "Include Mobile Map Widget On Other Mobile Pages?",
					"desc" => "Click here to mobile map on page.",
					"id" => "theme-mappage",
					"std" => false,
					"type" => "checkbox");						

$my_options[] = array( "name" => "Map address",
					"desc" => "Enter map address here.",
					"id" => "theme-mapaddress",
					"std" => "New York",
					"type" => "text");		
	}
}
?>
